# Get Customer

This endpoint retrieves the customer's profile information. This can be for an individual or a business.

It returns a Customer object which can be either an Individual or a Business object, containing details like name, address, email, and account_status.

Endpoint: GET /api/v1/customer/
Version: Version: 5153994b
Security: CodeBearer

## Response 200 fields (application/json):

  - `body` (any) — one of (discriminator: type):
    - BUSINESS:
      - `address` (object, required)
      - `address.street_address` (string, required)
        Street address
      - `address.street_address2` (any)
        Apartment, Suite, Box number, etc.
      - `address.city` (string, required)
        City / Town
      - `address.postal_code` (string, required)
        Postal code / ZIP code
      - `address.state` (any)
        State (Postal Abbreviations. Example: "AL", "NJ", "OH")
      - `address.country` (string, required)
        A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")
      - `email` (string, required)
      - `phone_number` (string, required)
      - `account_status` (string, required)
        Enum: "OPEN", "CLOSED", "FROZEN", "PENDING"
      - `type` (string, required)
      - `name` (string, required)
      - `identification_number` (object, required)
      - `identification_number.identification_number` (string, required)
      - `identification_number.issuing_country` (any)
        A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")
      - `identification_number.type` (string, required)
        Enum: "TIN", "EIN", "NON_US_BUSINESS_ID"
    - INDIVIDUAL:
      - `address` (object, required)
      - `address.street_address` (string, required)
        Street address
      - `address.street_address2` (any)
        Apartment, Suite, Box number, etc.
      - `address.city` (string, required)
        City / Town
      - `address.postal_code` (string, required)
        Postal code / ZIP code
      - `address.state` (any)
        State (Postal Abbreviations. Example: "AL", "NJ", "OH")
      - `address.country` (string, required)
        A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")
      - `email` (string, required)
      - `phone_number` (string, required)
      - `account_status` (string, required)
        Enum: same as `account_status` in "BUSINESS" (4 values)
      - `type` (string, required)
      - `name` (object, required)
      - `name.first_name` (string, required)
        First Name
      - `name.middle_name` (any)
        Middle Name
      - `name.last_name` (string, required)
        Last Name
      - `date_of_birth` (string, required)
      - `identification_number` (object, required)
      - `identification_number.identification_number` (string, required)
      - `identification_number.issuing_country` (any)
        A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")
      - `identification_number.identification_type` (string, required)
        Enum: "SSN", "PASSPORT", "NON_US_ID", "DRIVERS_LICENSE"
      - `trusted_contact` (any)
        - `first_name` (any)
        - `last_name` (any)
        - `email` (any)
        - `phone_number` (any)
          An E.164-formatted phone number, e.g. +12345678901
        - `address` (any)
          The address of the trusted contact. You can use a format such as {street name}, {city}, {state}, {post code}, {country}


## Response 404 fields
